Last Comment Bug 601084 - WebGL shader crash due to endless recursion [@glrCompCreateStream]
: WebGL shader crash due to endless recursion [@glrCompCreateStream]
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- critical (vote)
: ---
Assigned To: Benoit Jacob [:bjacob] (mostly away)
:
:
Mentors:
Depends on:
Blocks: 658170
  Show dependency treegraph
 
Reported: 2010-10-01 03:12 PDT by Christoph Diehl [:posidron]
Modified: 2011-07-25 11:19 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
final+


Attachments
testcase (1.51 KB, text/html)
2010-10-01 03:12 PDT, Christoph Diehl [:posidron]
no flags Details
callstack (9.54 KB, text/plain)
2010-10-01 03:12 PDT, Christoph Diehl [:posidron]
no flags Details
testcase (1.51 KB, text/html)
2011-07-07 10:45 PDT, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2010-10-01 03:12:13 PDT
Created attachment 480063 [details]
testcase
Comment 1 Christoph Diehl [:posidron] 2010-10-01 03:12:49 PDT
Created attachment 480064 [details]
callstack
Comment 2 Benoit Jacob [:bjacob] (mostly away) 2010-10-01 03:59:32 PDT
Same comments as in bug 601086 :-)
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2010-10-01 04:01:32 PDT
Ah no... your call stack here is weirder. Will try to reproduce with MOZ_GL_DEBUG=1 with the patch from bug 597881.
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2010-10-01 14:44:54 PDT
Sorry, I can't reproduce here, with ANGLE enabled, with or without GL debug mode.
Comment 5 Benoit Jacob [:bjacob] (mostly away) 2010-10-01 14:45:37 PDT
(on windows 7)
Comment 6 Benoit Jacob [:bjacob] (mostly away) 2010-12-10 13:22:35 PST
We've had a big ANGLE upgrade recently. Can you please retry, and close this bug if the crash is gone?
Comment 7 Benoit Jacob [:bjacob] (mostly away) 2010-12-10 13:23:23 PST
Also, if the bug is still present, please rerun firefox, go to about:crashes, and give us the relevant link.
Comment 8 Benoit Jacob [:bjacob] (mostly away) 2010-12-13 14:21:58 PST
Test case doesn't crash anymore here, while it used to.
Also, this is possibly the same as bug 601086 which got fixed as Angle bug http://code.google.com/p/angleproject/issues/detail?id=50

So, I propose RESOLVED WORKSFORME.
Comment 9 Benoit Jacob [:bjacob] (mostly away) 2010-12-13 14:22:53 PST
Sorry, rereading above commens --- I never could reproduce. Still propose WORKSFORME.
Comment 11 Christoph Diehl [:posidron] 2011-07-07 10:45:26 PDT
Created attachment 544542 [details]
testcase

(0) : fatal error C9999: Multiple main instructions, cannot define main function
Cg compiler terminated due to fatal errornsStringStats
Comment 12 Benoit Jacob [:bjacob] (mostly away) 2011-07-24 20:58:37 PDT
Christoph: thanks for the testcase. Can you please provide a callstack? Would help to figure if there's a security risk.
Comment 13 Christoph Diehl [:posidron] 2011-07-25 11:19:28 PDT
Fixed.

Note You need to log in before you can comment on or make changes to this bug.